{% extends "base/base.html" %}
{% block style %}
    .card {
        position: relative;
        z-index: 0;
    }
    .sidebar{
        z-index: 1;
    }
{% endblock style %}
{% block main %}
{% if messages %}
    <div class="container mt-3">
        {% for message in messages %}
            <div class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
                {{ message }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        {% endfor %}
    </div>
{% endif %}

<div class="album py-5 bg-body-tertiary">
    <div class="container">
        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
            {% for e in events %}
    <div class="col">
        <div class="card shadow-sm">
            <img src="{{ e.banner.url }}" class="bd-placeholder-img card-img-top" width="100%" height="225" role="img" aria-label="Placeholder: Thumbnail" preserveAspectRatio="xMidYMid slice" focusable="false">
            <div class="card-body">
                <p class="card-text">{{ e.name }}</p>
                <div class="d-flex justify-content-between align-items-center">
                    <div class="btn-group">
                        <a href="{% url 'events:event' uuid=e.uuid %}" class="btn btn-sm btn-outline-secondary">View</a>
                        {% if e.uuid in pinned_events %}
                            <form action="{% url 'events:unpin_event' %}" method="POST">
                                {% csrf_token %}
                                <input type="hidden" name="event_uuid" value="{{ e.uuid }}">
                                <button type="submit" class="btn btn-sm btn-outline-secondary">Unpin</button>
                            </form>
                        {% else %}
                            <button type="button" class="btn btn-sm btn-outline-secondary" data-bs-toggle="modal" data-bs-target="#pinEventModal{{ e.uuid }}">
                                Pin
                            </button>
                        {% endif %}
                        {% if e.uuid in registered_events %}
                            <button class="btn btn-sm btn-outline-secondary disabled">Registered</button>
                        {% else %}
                            <!-- Button trigger modal for registration -->
                            <button type="button" class="btn btn-sm btn-outline-secondary" data-bs-toggle="modal" data-bs-target="#registerEventModal{{ e.uuid }}">
                                Register
                            </button>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Pin Event Modal -->
<!-- Pin Event Modal -->
<div class="modal fade" id="pinEventModal{{ e.uuid }}" tabindex="-1" aria-labelledby="pinEventModalLabel{{ e.uuid }}" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="pinEventModalLabel{{ e.uuid }}">Pin Event</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                Are you sure you want to pin this event?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <form action="{% url 'events:pin_event' %}" method="POST">
                    {% csrf_token %}
                    <input type="hidden" name="event_uuid" value="{{ e.uuid }}">
                    <button type="submit" class="btn btn-primary">Pin Event</button>
                </form>
            </div>
        </div>
    </div>
</div>

    <!-- Register Event Modal -->
    <div class="modal fade" id="registerEventModal{{ e.uuid }}" tabindex="-1" aria-labelledby="registerEventModalLabel{{ e.uuid }}" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="registerEventModalLabel{{ e.uuid }}">Register Event</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    Are you sure you want to register for this event?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <form action="{% url 'events:register_event' %}" method="POST">
                        {% csrf_token %}
                        <input type="hidden" name="event_uuid" value="{{ e.uuid }}">
                        <button type="submit" class="btn btn-primary">Register</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endfor %}

        </div>
    </div>
</div>
{% endblock main %}
